d_edit_proc(3)

NAME
d_edit_proc

SYNOPSIS
#include <allegro.h>

int d_edit_proc(int msg, DIALOG *d, int c);

DESCRIPTION
An editable text object (the dp field points to the string). When it has the input focus (obtained by clicking on it with the mouse), text can be typed into this object. The d1 field specifies the maximum number of characters that it will accept, and d2 is the text cursor position within the string.